Bug 207181 - print/foomatic-filters: Fix conflict with print/cups-filters
Summary: print/foomatic-filters: Fix conflict with print/cups-filters
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-14 09:45 UTC by Vladimir Omelchuk
Modified: 2016-02-17 08:56 UTC (History)
4 users (show)

See Also:
cyberbotx: maintainer-feedback+


Attachments
all patches (2.90 KB, patch)
2016-02-14 09:45 UTC, Vladimir Omelchuk
no flags Details | Diff
patch-Makefile (947 bytes, patch)
2016-02-14 09:46 UTC, Vladimir Omelchuk
no flags Details | Diff
patch-pkg-plist (334 bytes, patch)
2016-02-14 09:47 UTC, Vladimir Omelchuk
no flags Details | Diff
patch-Makefile.am (991 bytes, patch)
2016-02-14 09:48 UTC, Vladimir Omelchuk
no flags Details | Diff
patch-configure.ac (330 bytes, patch)
2016-02-14 09:49 UTC, Vladimir Omelchuk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Omelchuk 2016-02-14 09:45:13 UTC
Created attachment 166971 [details]
all patches

Fix conflict print/foomatic-filters and print/cups-filters.
Rename /usr/local/libexec/cups/backend/beh into foomatic-beh.
Comment 1 Vladimir Omelchuk 2016-02-14 09:46:49 UTC
Created attachment 166972 [details]
patch-Makefile
Comment 2 Vladimir Omelchuk 2016-02-14 09:47:19 UTC
Created attachment 166973 [details]
patch-pkg-plist
Comment 3 Vladimir Omelchuk 2016-02-14 09:48:37 UTC
Created attachment 166974 [details]
patch-Makefile.am
Comment 4 Vladimir Omelchuk 2016-02-14 09:49:04 UTC
Created attachment 166975 [details]
patch-configure.ac
Comment 5 Kurt Jaeger freebsd_committer 2016-02-14 15:15:59 UTC
The release manager for cups (Mike Sweet from apple, see 

https://www.cups.org/pipermail/cups/2015-August/027086.html

said in private mail that foomatic-filters is replaced by cups-filters.

So maybe it's time to DEPRECATE the foomatic stuff ?
Comment 6 Naram Qashat 2016-02-14 16:38:38 UTC
Yes, I agree to deprecating foomatic-filters. If that is done, then patching foomatic-filters would be unnecessary.
Comment 7 Vladimir Omelchuk 2016-02-14 17:19:54 UTC
I think, in the first time need update this port.
Then need will testing replace foomatic-filters on foomatic-cups,
especially need testing port /print/foo2js, which depend from foomatic-filters.
Comment 8 Kurt Jaeger freebsd_committer 2016-02-14 21:05:20 UTC
Testbuilds are fine.
Comment 9 commit-hook freebsd_committer 2016-02-15 16:51:42 UTC
A commit references this bug:

Author: pi
Date: Mon Feb 15 16:51:06 UTC 2016
New revision: 408946
URL: https://svnweb.freebsd.org/changeset/ports/408946

Log:
  print/foomatic-filters: remove CONFLICT with cups-filters

  PR:		207181
  Submitted by:	Vladimir Omelchuk <admin@vladiom.com.ua>
  Approved by:	cyberbotx@cyberbotx.com (maintainer)

Changes:
  head/print/cups-filters/Makefile
  head/print/foomatic-filters/Makefile
  head/print/foomatic-filters/files/patch-Makefile.am
  head/print/foomatic-filters/files/patch-configure.ac
  head/print/foomatic-filters/files/patch-foomaticrip.c
  head/print/foomatic-filters/files/patch-util.c
  head/print/foomatic-filters/pkg-plist
Comment 10 Kurt Jaeger freebsd_committer 2016-02-15 16:53:34 UTC
Committed, thanks!
Comment 11 Alexander Zagrebin 2016-02-16 06:26:32 UTC
(In reply to Vladimir Omelchuk from comment #7)
I've tried to use foomatic-rip, built and installed from the modified print/cups-filters port, with foo2zjs (built from source), and it seems to be working.

The NEWS file from the cups-filters contains following:
"Moved foomatic-rip's upstream home from the
foomatic-filters package to cups-filters, to make it easier
for distributions to ship and maintain a complete printing
stack and also to make upstream maintenance and development
easier."

So, to deprecate print/foomatic-filters in favor of print/cups-filters looks reasonable
Comment 12 Vladimir Omelchuk 2016-02-17 08:56:57 UTC
(In reply to Alexander Zagrebin from comment #11)

Alexander, Hi!
If you tested and port print/foo2zjs correctly work with print/cups-filters,
modify ports and add PR into bugzilla.